     PROGRAM CommTest;

     USES Comm_TP5;

     CONST
       Com = 1;  { Use the COM number of your serial port }

     VAR
       InputData : CHAR;
       PortID : SHORTINT;

     BEGIN
       PortID:=InstallInt (Receive,Com,COMIRQNmbr[Com],COMAddress[Com],80,80);
       SetCOMPort (PortID, ORD (B2400), 8, ORD (None), 1);
       PortInfo [PortID]^.I.MaxTime := 18 * 5;
       PortInfo [PortID]^.O.MaxTime := 18 * 5;
       IF NOT IWriteCOM (PortID, 'This is easy.  Isn''t it? ')
          THEN WRITELN ('Error sending data to COM', Com)
          ELSE WRITE ('Answer: ');
       IF IReadCOM (PortID, InputData)
         THEN WRITE (InputData);
       RemoveInt (PortID);
     END.
